Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#892 3 small fixes for configure.in

obsolete: 8.1
closed-fixed
nobody
2
2001-04-17
2000-10-26
Anonymous
No

OriginalBugID: 2121 Bug
Version: 8.1
SubmitDate: '1999-05-24'
LastModified: '1999-07-01'
Severity: LOW
Status: Released
Submitter: pat
ChangedBy: foster
OS: Linux
OSVersion: 4.2
Machine: Other
FixedDate: '1999-06-01'
FixedInVersion: 8.2b1
ClosedDate: '2000-10-25'

Name:
Jan Nijtmans

CVS:
May 22, 1999

ReproducibleScript:
Today I checked the CVS database in order to see how far Scriptics is
with the reported bug-fixes. I missed 2 important ones, which are
already reported. Here they are again, with a 3th one of my own which
was not reported yet.

* For older AIX systems, tclLoadAIX.c implements the dlopen() family of
functions, but those functions are not available for extensions because
the are not put into the stub library. A minor fix can solve that, just
by puting tclLoadAIX.o in $LIBOBJS in stead of $DL_OBJS.
* This bug has already been reported as BugID 1813, but not handled yet.
Still I consider it important enough to bring to Scriptics' attention
again.
* Autoconf removes square brackets from the configure.in script, which
can be prented by doubling them first. This bug has already been
reported on comp.lang.tcl, but I didn't see it anywhere in the bug
database. Therefore I don't remember who originally found this bug, and
wrote the fix. I just take the liberty to report it again.

ObservedBehavior:
* dlopen() missing from stub library in older AIX systems.
* $DL_LIBS empty on Linux, because of wrong type of quotes.
* compile on FreeBSD [12] doesn't work.

Patch:
*** configure.in.orig Fri May 7 23:07:56 1999
--- configure.in Sat May 22 13:46:10 1999
***************
*** 773,779 ****
SHLIB_LD="$fullSrcDir/ldAix /bin/ld -bhalt:4 -bM:SRE -bE:lib.exp -H512 -T512"
SHLIB_LD_LIBS='${LIBS}'
SHLIB_SUFFIX=".so"
! DL_OBJS="tclLoadDl.o tclLoadAix.o"
DL_LIBS="-lld"
LD_FLAGS=""
LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
--- 773,780 ----
SHLIB_LD="$fullSrcDir/ldAix /bin/ld -bhalt:4 -bM:SRE -bE:lib.exp -H512 -T512"
SHLIB_LD_LIBS='${LIBS}'
SHLIB_SUFFIX=".so"
! DL_OBJS="tclLoadDl.o"
! LIBOBJS="$LIBOBJS tclLoadAix.o"
DL_LIBS="-lld"
LD_FLAGS=""
LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
***************
*** 870,876 ****
;;
Linux*)
SHLIB_CFLAGS="-fPIC"
! SHLIB_LD_LIBS="${LIBS}"
SHLIB_SUFFIX=".so"
if test "$have_dl" = yes; then
SHLIB_LD="${CC} -shared"
--- 871,877 ----
;;
Linux*)
SHLIB_CFLAGS="-fPIC"
! SHLIB_LD_LIBS='${LIBS}'
SHLIB_SUFFIX=".so"
if test "$have_dl" = yes; then
SHLIB_LD="${CC} -shared"
***************
*** 907,913 ****
LD_FLAGS="-Wl,-Bexport"
LD_SEARCH_FLAGS=""
;;
! NetBSD-*|FreeBSD-[12].*|OpenBSD-*)
# Not available on all versions: check for include file.
AC_CHECK_HEADER(dlfcn.h, [
SHLIB_CFLAGS="-fpic"
--- 908,914 ----
LD_FLAGS="-Wl,-Bexport"
LD_SEARCH_FLAGS=""
;;
! NetBSD-*|FreeBSD-[[12]].*|OpenBSD-*)
# Not available on all versions: check for include file.
AC_CHECK_HEADER(dlfcn.h, [
SHLIB_CFLAGS="-fpic"

PatchFiles:
configure.in

06/01/1999 19:02 - stanton - Applied patches.

Discussion

  • Brent B. Welch
    Brent B. Welch
    2000-10-26

    • priority: 5 --> 2
    • status: open --> closed-fixed
     
  • Don Porter
    Don Porter
    2001-04-17

    • labels: 104246 --> 53. Configuration and Build Tools